[Jaunty] Please sync kernel-wedge 2.49 (main) from Debian unstable (main).

Bug #260865 reported by Bhavani Shankar on 2008-08-24
4
Affects Status Importance Assigned to Milestone
kernel-wedge (Ubuntu)
Wishlist
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects ubuntu/kernel-wedge
 status new
 importance wishlist
 subscribe ubuntu-main-sponsors

Please sync kernel-wedge 2.49 (main) from Debian unstable (main).

Explanation of the Ubuntu delta and why it can be dropped:

Debian has fixed FTBFS(verified) and has incorporated a number of other
changes so ubuntu changes can be dropped.

Changelog since current intrepid version 2.29ubuntu2:

kernel-wedge (2.49) unstable; urgency=low

  * Add atl2 modules. Closes: #490354.
  * Add pata-sch to pata-modules.
  * Move sata-sis from pata-modules to sata-modules (uh?).
  * Add acenic, atl1e and sfc to nic-extra-modules.
  * Add spcp8x5 to usb-serial-modules.
  * Replace rtc with rtc-cmos on rtc-modules.

 -- Otavio Salvador <email address hidden> Wed, 13 Aug 2008 12:35:59 -0300

kernel-wedge (2.48) unstable; urgency=low

  * Add raid10 to md-modules.

 -- Otavio Salvador <email address hidden> Thu, 31 Jul 2008 18:15:42 -0300

kernel-wedge (2.47) unstable; urgency=low

  * Remove nls_iso8859-1 module, add nls_utf8. The latter is the new default
    for fat on 2.6.25. Closes: #490562

 -- Joey Hess <email address hidden> Fri, 25 Jul 2008 13:17:37 -0400

kernel-wedge (2.46) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add virtio-modules package used to improve I/O when run inside a
    compatible emulator.

  [ Ian Campbell ]
  * Make generic_serial optional to allow 686-bigmem udebs.

  [ Frans Pop ]
  * Apply patch from Per Andersson to add a jffs2 modules udeb.
  * Update standards version to 3.8.0.

 -- Frans Pop <email address hidden> Sun, 20 Jul 2008 15:00:50 +0200

kernel-wedge (2.45) unstable; urgency=low

  [ Frans Pop ]
  * Updates for 2.6.25.
  * scsi-modules: atp870u is no longer available.
  * crypto-core-modules: blkcipher has been renamed to crypto_blkcipher.
  * Move the dm-crypt module from md-modules to a new udeb crypto-dm-modules
    to avoid having md-modules depend on crypto-core-modules; dependencies on
    crypto-core-modules are now defined in kernel-wedge.
  * Move the isofs module from ide-modules to a new udeb isofs-modules because
    of its dependency on the new nls_base module; let cdrom-core-modules
    depend on isofs-modules.
  * Add an nls-core-modules udeb for the nls_base module. All nls_* modules
    and several filesystem modules depend on it.

  [ Otavio Salvador ]
  * cdrom-core-modules: add ide-cd_mod since it replaces ide-cd now.
  * nic-extra-modules: add enc28j60, igb and r6040.
  * nic-usb-modules: add rndis_wlan and rtl8180.
  * scsi-extra-modules: add mvsas.
  * speakup-modules: created. Thanks to Samuel Thibault
    <email address hidden> for the patch. Closes: #479227.
  * nic-wireless-modules: add iwl3945 and iwl4965 since we now support
    firmware loading during installation process. Thanks to Glenn Saberton
    <email address hidden> for the patch. Closes: #485440.
  * Add myself as uploader.

 -- Otavio Salvador <email address hidden> Wed, 02 Jul 2008 15:12:44 -0300

kernel-wedge (2.44) unstable; urgency=low

  [ Otavio Salvador ]
  * Add rt2500pci, rt2400pci and rt2500usb to nic-wireless-modules.

  [ Frans Pop ]
  * Including 'loop-aes' instead of 'loop' in loop-aes-modules as required
    with linux-modules-extra packaging of loop-aes-modules.

 -- Frans Pop <email address hidden> Thu, 10 Apr 2008 15:07:00 +0200

kernel-wedge (2.43) unstable; urgency=low

  * Add new Atheros wireless module (ath5k) to nic-wireless-modules.
  * Move ecb from crypto-modules to nic-wireless-modules (and fix typo: ebc
    should be ecb), and add arc4 to nic-wireless-modules. These crypto modules
    are only relevant for WEP. Closes: #448393.
  * Split blkcipher out into separate crypto-core-modules as it is needed for
    both wireless and other crypto usage.

 -- Frans Pop <email address hidden> Mon, 07 Apr 2008 18:15:42 +0200

kernel-wedge (2.42) unstable; urgency=low

  [ Otavio Salvador ]
  * Replace dpt_i2o with i2o_block to avoid diverting from installed
    system with regard to RAID with Adaptec 2100S. Closes: #440161.
  * Add ipg, niu, ixgbe, e1000e, sky2 and skge to nic-extra-modules.
    Closes: #469143
  * Move b44 to nic-pcmcia-modules.
  * Add zlib-modules udeb to provide zlib_inflate to ide and ppp
    modules.
  * Add p54pci and p54usb to nic-wireless-modules.

  [ Stephen R. Marenka ]
  * add aes_generic, make aes optional to accommodate 2.6.24.
  * add sha256_generic, make sha256 optional to accommodate 2.6.24.
  * make ppp_async and ppp_synctty optional to accommodate m68k/mac.

 -- Otavio Salvador <email address hidden> Mon, 24 Mar 2008 13:52:43 -0300

kernel-wedge (2.41) unstable; urgency=low

  * Add dependency of usb-modules on nic-wireless

 -- Otavio Salvador <email address hidden> Mon, 01 Oct 2007 14:01:05 -0300

kernel-wedge (2.40) unstable; urgency=low

  * Correct multipath-modules.

 -- Joey Hess <email address hidden> Mon, 17 Sep 2007 18:04:53 -0400

kernel-wedge (2.39) unstable; urgency=low

  [ Joey Hess ]
  * Add rtc-modules.

  [ Otavio Salvador ]
  * Add atl1 to nic-extra-modules;
  * Add sata_inic162x to sata-modules;
  * Add delkin_cb and tc86c001 to ide-modules;
  * Add orinoco_nortel and usb8xxx to nic-wireless-modules;
  * Applied patch from Guido Guenther <email address hidden> to add
    multipath-modules definition. Closes: #439410

  [ Joey Hess ]
  * With 2.6.22, the firewire modules are renamed to firewire-ohci and
    firewire-sbp2.

 -- Otavio Salvador <email address hidden> Tue, 04 Sep 2007 23:08:48 -0300

kernel-wedge (2.38) unstable; urgency=low

  [ Joey Hess ]
  * Add bitrev to core-modules, optionally. Some arches may build this as a
    module if nothing in the kernel itself uses it.

  [ Wouter Verhelst ]
  * Create an nbd-modules package with just the 'nbd' module in it that
    together with nbd-client-udeb and an as of yet to be written partman
    module should allow installing to an NBD device.

  [ Frans Pop ]
  * Add the definitions for loop-aes-modules (linux-modules-*).

  [ Otavio Salvador ]
  * Add squashfs-modules definition.

 -- Frans Pop <email address hidden> Thu, 05 Jul 2007 18:41:16 +0200

kernel-wedge (2.37) unstable; urgency=low

  [ Martin Michlmayr ]
  * Make nic-modules depend on core-modules. Closes: #421352

  [ Joey Hess ]
  * Split wireless modules out of nic-extra-modules into nic-wireless-modules.
    This new package will contain wireless modules that arn't USB or pcmcia;
    those stay in their respective packages.
  * nic-pcmcia-modules now depends on nic-wireless-modules instead of
    nic-extra-modules.
  * Add zd1211rw to nic-usb-modules, and ipw2100 and ipw2200 to
    nic-wireless-modules. These had been left off due to needing nonfree
    firmware, but maybe we'll work out a way to provide that, and users can
    always provide it on their own, so I think including these in d-i is
    worthwhile.
  * nic-usb-modules now depends on nic-wireless-modules for 80211 modules.

 -- Joey Hess <email address hidden> Mon, 04 Jun 2007 15:21:30 -0400

kernel-wedge (2.36) unstable; urgency=low

  * Updates for 2.6.21:
    - Add atl1 and cxgb3 to nic-extra-modules
    - Add dm9601 to nic-usb-modules
    - sata_sis now depends on pata_sis, so I moved sata_sis to pata-modules,
      which is not really ideal

 -- Joey Hess <email address hidden> Fri, 18 May 2007 01:28:41 -0400

kernel-wedge (2.35) unstable; urgency=low

  [ Joey Hess ]
  * Make nic-usb-modules depend on core-modules. Closes: #421352
  * It's generally fine to make any modules package depend on core-modules,
    even if the dependency is specific to one architecture. core-modules is
    priority standard so is always available anyway

  [ Frans Pop ]
  * Add cbc and ecb to crypto-modules (split out from another module in
    2.6.20).

 -- Joey Hess <email address hidden> Thu, 10 May 2007 20:03:32 -0400

kernel-wedge (2.34) unstable; urgency=low

  * Really add qla3xx to nic-extra-modules.
  * Remove 3c359 from nic-extra-modules, it was added accidentially, as it's a
    token ring driver.
  * Move qla4xxxx and qla2xxxx to scsi-extra-modules as scsi-modules is too
    large for the i386 cd-drivers floppy and these modules are unlikely to be
    used for CD drives.

 -- Joey Hess <email address hidden> Fri, 27 Apr 2007 14:33:52 -0400

kernel-wedge (2.33) unstable; urgency=low

  * Move eth1394 to nic-modules, this change was only made in i386 and amd64
    before.
  * Mark cpqarray optional, it is not available in amd64 as of 2.6.20.
    (This may be a bug in the kernel package.)
  * Rename firmware-modules to core-modules, so that it can be used for
    other modules besides firmware. Should only be used for very core modules.

 -- Joey Hess <email address hidden> Thu, 12 Apr 2007 03:20:10 -0400

kernel-wedge (2.32) unstable; urgency=low

  * Add ipr, qlogicfas408, and dc395x to scsi-modules, and pd6729 to
    pcmcia-modules. These were only listed in i386's files for some
    reason before.
  * 2.6.20 support: (Closes: #418707)
    - add dgrs, netxen_nic, qla3xxx to nic-extra-modules
      NB: netxen_nic may need external firmware; dgrs seems to contain a
      binary blob in the kernel.
    - didn't add new tokenring modules for 3c359 and smctr, guessing noone
      will need them?
    - add aic94xx and qla4xxx, and stex to scsi-modules.
    - add mcs7830 to nic-usb-modules.
    - didn't add aircable to usb-serial-modules, as I'm guessing noone will
      use it in d-i (ditto for mos7720 and mos7840)
    - Add pata_* to pata-modules. This is quite likely wrong, since all the
      old ide modules are also still being built, and most of them register
      the same pci ida as the pata modules. Which one wins I don't know. I'm
      just following the kernel team here so that d-i behaves the same as a
      system running the 2.6.20 kernel package. Expect that this will be
      worked out in the future and only one version of each module included.
    - Factor out libata to a new ata-modules, since both sata-modules and
      pata-modules need it.
    - scsi-modules also needs to depend on ata-modules now, since ipr has a
      new dependency on libata.
    - pata_pcmcia to pcmcia-storage-modules

 -- Joey Hess <email address hidden> Thu, 12 Apr 2007 02:22:56 -0400

kernel-wedge (2.31) unstable; urgency=low

  * Add jmicron to ide-modules.

 -- Frans Pop <email address hidden> Sun, 4 Feb 2007 15:17:58 +0100

kernel-wedge (2.30) unstable; urgency=low

  [ Joey Hess ]
  * Add strip-modules subcommand, which is called by install-files
    and strips all kernel modules. This saves a small amount of
    memory and space, and the kernel modules in d-i initrds were
    already stripped, so we know it's safe.
  * .. but disabled it anyway.

  [ Colin Watson ]
  * Fix typo in efi-modules package description.

  [ Joey Hess ]
  * Add ieee80211_crypt_wep to nic-extra-modules, this is needed to use WEP.
    Closes: #407492

  [ Frederik Schüler ]
  * Mark sk98lin optional in nic-extra-modules.

 -- Joey Hess <email address hidden> Fri, 26 Jan 2007 14:43:56 -0500

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIsWagL+KnYRaooWIRAuomAJ9FbFTIxazUqPTrl49MKsP/IxiILQCaAo/Z
Si2cDqZV1j7gcxhjrR7u37I=
=JsJm
-----END PGP SIGNATURE-----

Colin Watson (cjwatson) wrote :

This sort of thing can only be done near the start of the release process. kernel-wedge changes (particularly catching up on nearly two years of us falling behind!) often require kernel and debian-installer changes, and are not a good idea just before beta.

-1 for Intrepid, revisit for Jaunty.

Colin Watson (cjwatson) wrote :

I also don't think that this actually contains anything analogous to our firmware-handling patch, despite the mentions of firmware in the changelog. Did you analyse this in any detail? If so, please post the results; if not, please do.

Colin Watson (cjwatson) wrote :

Marking invalid per my earlier comments - this needs to be a merge, not a sync.

Changed in kernel-wedge:
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers